Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #33 (closed enhancement: wontfix)

Opened 9 years ago

Last modified 4 years ago

Hardware Support: USB Devices

Reported by: anonymous Assigned to:
Priority: minor Milestone: version 2.0.0 - far away
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mentor)

Support Atheros based USB devices.

Change History

10/24/05 11:24:11 changed by br1

  • type changed from defect to enhancement.
  • description changed.

10/24/05 12:39:35 changed by mrenzmann

  • status changed from new to assigned.

A discussion about the problems related to support for USB devices can be found here: http://thread.gmane.org/gmane.linux.drivers.madwifi.user/5372

No news in this regard so far, and most probably there won't be any during the next weeks. Nevertheless, that's an item that definitely has to be set on the wishlist.

10/25/05 13:15:31 changed by anonymous

som devices eaven dosn go with ndiswrapper i found somthing on the net the decasamblered source of the win driver maybe this helps http://www.gobio2.net/

10/27/05 07:25:03 changed by kamil dot wojcicki at gmail dot com

Let me know if/when you need beta testers for the usb support...

10/27/05 08:16:54 changed by mrenzmann

  • status changed from assigned to new.
  • owner deleted.

10/28/05 12:48:43 changed by br1

  • priority changed from major to minor.

11/03/05 12:59:55 changed by br1

  • milestone set to Code: version 2.0.0.

12/27/05 22:11:00 changed by Laurent Go

The disassembled version of the windows driver is only for the firmware loader and not the wifi driver itself. The goal was to fix ndiswrapper bugs by looking to what the loader driver was expecting and not to what it was doing. So far it only permitted to see that MSVC and GCC had some different memory representations for a union variable...

This goal is now reached and ndiswrapper 1.7 currently support atheros usb-based wifi adapters. I'll remove the files as they are quite unuseful.

09/02/06 03:42:54 changed by frankie@europa.com

This thread is fairly old now... wondering if any focus has been given to this lately? I just tried to get a Belkin (uses Atheros chip set, I think) USB wireless card in a RHEL 4.0 machine that I had to take out of service due to a bad disk. It would be very handy to connect this machine into my hot spot to get everything downloaded. I was really surprised to find out that USB wireless is still apparently not supported.

I did install your latest stable release but it wasn't until after I had it installed that I noticed the README entry about USB being not supported. :(

Any hope for this in my lifetime?

09/03/06 07:45:35 changed by mrenzmann

  • patch_attached changed.

Well, we're all unable to see into the future, so it is hard to tell. However, at this point the situation is unchanged to the one described in the comments above and elsewhere on this site:

  1. the necessary information to implement support for these devices is still not available to us
  2. due to the different architecture a mostly new driver would be necessary
  3. we don't have enough resources to cover a new driver

Sorry that I don't have better news for you.

09/25/06 20:10:12 changed by uberpinguin

OpenBSD recently reverse-engineered Atheros USB drivers. The new drivers are still in SVN, and the relevant package is called 'uath.' I don't have a BSD system to test with, but I thought this might provide some useful information to further your own development efforts. Thanks for all your great work!

09/28/06 18:54:43 changed by quad.on%gmail.com

I'd like to see madwifi support USB wifi sticks too with all its usual beloved bells and whistles (monitor mode, wds mode, iwprivs, etc.).

As uberpinguin said three days ago, the OpenBSD team did add the support since 4.0. Here is the file if_uath.c from the project. Interested developers may want to take a look into it and of course, start porting it. ;) (Commit message.)

Did someone test the driver on a native OpenBSD system or even in VMware? Results could be interesting.

10/11/06 12:56:09 changed by artyhak@yahoo.com

Hallo. I have a new senao sub362 usb with atheros5523, can somebody tell me whether madwifi support already is for that adapter?? Or if you have, please send to my e-mail.. Thanks

10/11/06 15:00:29 changed by mrenzmann

Neither the mentioned Senao adapter nor any other USB devices are supported by MadWifi yet. If that changes, it will be announced here as well as in the news section on the front page.

10/16/06 15:03:42 changed by artyhak@yahoo.com

People, somebody who is goed in programming, please port the drive for OpenBSD systen to Linux, for the monitor mode. And can somebody tel if it is possible to use Sub362ext with Aircrack or Airdump, Commonview??? Is it possible to use sub362ext with Aircrack with hij windows driver(because that driver is available). Thanks for any information on this topic. I am new with Linux, i want to learn to work with Linux and network, but not with Ndiswrapper driver...

(follow-up: ↓ 47 ) 10/17/06 17:29:21 changed by uberpinguin

If you are trying to use the Windows driver, you will have to use ndiswrapper - that's what it's for. It provides an interface between the Linux kernel and the Windows driver. It works mostly OK for my ar5005ug chipset, with a few complaints: _no_ monitor mode, so no kismet or packet sniffing; sometimes segfaults; doesn't always unload cleanly - in fact, I almost always have to remove the device, 'modprobe -r ndiswrapper', plug the device back in, and 'modprobe ndiswrapper' to get it working again. Sometimes I have to reboot.

It may be faster for you to learn how to develop kernel modules yourself and start work on it - what better introduction to the world of Linux ;?) I'm working on this very process myself, but don't exactly have a lot of time to devote to it at the moment.

12/22/06 19:20:25 changed by anonymous

Driver senao sub362 usb with atheros5523 for way monitor!!

My God for when?!!! Many people have incredible practical and comfortable articles these usb but this moment there is no support way monitor .... All the things I give order To have support in madwifi ...... My GoD!!!

12/23/06 21:16:52 changed by Monitor mode???

People. If you want to use monitor mode, just download Openbsd Live cd 4.0, with Atheros usb support, then you have all what you want .... I have not triesd yet, but there is sure support for atheros usb(senao). So danot wait anymore for madwifi support. Openbsd is like Linux , i think, so try it ,and write it down, i am intersted. Bye Arthur

01/30/07 08:17:03 changed by szym86@gmail.com

I have Senao sub362 too. Has anybody this card working on linux? please tell me how to do it

03/01/07 06:32:35 changed by acetroy@tom.com

I have a Senao eub362 with chip ar5523 working on arm-linux. I downloaded linux driver from ndiswrapper, but it only support x86. I download madwifi, but it's impossible to support usb. I'm puzzled, anyone give me help?

03/01/07 11:23:02 changed by mrenzmann

@acetroy: There is no driver available for ar5523 that works on ARM to the best of my knowledge.

03/22/07 12:19:07 changed by shakaran@gmail.com

Hello, I am a Spanish boy. I can run Evo-W108USB in Ubuntu 6.04 with ndiswrapper (with atheros 5523 chipset). I comment in spain forum of support Ovinlink: 3w.ovislinkcorp.es/secciones/foro/showthread.php?t=730&page=1&pp=10 Spain forum of support Ovinlink

I believe that it need a update: 3w.madwifi.org/wiki/Compatibility#Ovislink Compatibility Ovislink for Evo-W108USB XDD

Greetings shakaran

PD: Sorry I am forget my email: shakaran@gmail.com

03/27/07 19:29:20 changed by anonymous

any luck yet on the Senao sub362 with atheros 5523 chipset Shakaran, I could not open your thred

03/30/07 13:59:27 changed by anonymous

Can anybody tell me if there are beta drivers available for the Senao sub362 with atheros 5523?

(follow-up: ↓ 27 ) 03/30/07 14:17:58 changed by mrenzmann

You might want ask Senao whether they have drivers. As stated above, MadWifi has no USB support yet, and at this time it seems as if that situation won't change anytime soon.

(in reply to: ↑ 26 ; follow-up: ↓ 28 ) 05/22/07 13:49:46 changed by anonymous

Replying to mrenzmann:

You might want ask Senao whether they have drivers. As stated above, MadWifi has no USB support yet, and at this time it seems as if that situation won't change anytime soon.

I asked senao about linux drivers, they don't and never will have linux drivers... There excuse: "There are to many different linux distributions."

(in reply to: ↑ 27 ) 05/22/07 14:28:14 changed by strasak@bubakov.net

Replying to anonymous:

Replying to mrenzmann:

You might want ask Senao whether they have drivers. As stated above, MadWifi has no USB support yet, and at this time it seems as if that situation won't change anytime soon.

I asked senao about linux drivers, they don't and never will have linux drivers... There excuse: "There are to many different linux distributions."

They really said that? That is unbelieveable crap ...

05/22/07 16:20:10 changed by anonymous

thats what they said. According to senao there are to many differences between all of the distributions so they would have to make a hole lot of drivers, they won't do that.

When i asked them if they would create a driver for only a few distro's (ubuntu/suse/debian) they didn't respond back (yet). If they are willing to do that ánd make the drivers opensource it probably won't take that long before someone wil modifie one of those drivers for other distro's (i think)

07/20/07 01:20:49 changed by MrSoussey

hello@all,

just wondering that there are drivers for linux for Edimax EW-7315Ug and Ovislink EVO-W108USB in their download sections (both Atheros AR5005UX/AR5005UG USB-clients)... Perhaps someone at madwifi can pick them up for further atheros-usb-projects??? just my 2 cents... :)

thx for reading...

07/20/07 01:29:21 changed by mentor

  • description changed.
  • summary changed from usb support to USB Device Support.

(follow-up: ↓ 35 ) 07/20/07 01:32:32 changed by mentor

From #768:

These drivers came in my OvisLink? Evo-W108USB (atheros 5523 chipset) wireless stick installation CD. They are bad packaged and doesn't include source code, but OvisLink? people would provide you with it. They have published source code for their Access Points. I've only seen them in French and Spanish websites.

http://www.ovislink.fr/administration/pilotes/wifi/Evo-W108USB/Linux/Linux.zip

Hope this could help.

07/20/07 02:22:49 changed by MrSoussey

thx mentor, great news!!!

what do you mean with bad packaged??? hmmm... will LinuxUsbBin?2.6-1.3.1-5.i386 (RPM) work on ubuntu 7.04 with senao sub-362??? ("This release has been tested on: Redhat 9.0 Distribution with kernel version 2.4.20 Suse 9.0 Distribution with kernel version 2.6.4 Fedora Core 3.0 Distribution with Kernel version 2.6.9") Else i stay @ buggy ndiswrapper... :( any suggestions... by the way, keep doing good job at madwifi (have another pci and cardbus here)

thx for reading...

07/26/07 01:53:06 changed by mentor

  • summary changed from USB Device Support to Hardware Support: USB Devices.

(in reply to: ↑ 32 ) 08/16/07 16:48:14 changed by mentor

Replying to mentor:

From #768: These drivers came in my OvisLink? Evo-W108USB (atheros 5523 chipset) wireless stick installation CD. They are bad packaged and doesn't include source code, but OvisLink? people would provide you with it. They have published source code for their Access Points. I've only seen them in French and Spanish websites. http://www.ovislink.fr/administration/pilotes/wifi/Evo-W108USB/Linux/Linux.zip Hope this could help.

This was originally posted on the referenced ticket by fortizdo@yahoo.com.

(follow-up: ↓ 37 ) 08/28/07 13:03:05 changed by anonymous

what is the meaning of this site: ://www.netgate.com/product_info.php?products_id=328 they refer to madwifi website for a linux driver for the sub/nub/eub- 362. But as I can read here you don't support it. Maybe the want to sell this crap catching you with wrong information. Or is it really supported yet?

(in reply to: ↑ 36 ) 08/28/07 13:46:37 changed by mrenzmann

Replying to anonymous:

they refer to madwifi website for a linux driver for the sub/nub/eub- 362.

Maybe just a mistake. Why don't you ask them instead of us? :) Status still is that MadWifi does not support USB devices.

09/02/07 11:09:21 changed by junkmail@netbump.com

As most here can guess, I found the answer we all are looking for when we get to this page. No support for the AR5523 USB devices. I can hardly complain though. I have downloaded madwifi for countless wireless setups utilizing atheros cards and have never been disappointed. Keep up the good work and I'm sure I speak for all that get here when I say "Please sir, just a little USB?" ;)

11/14/07 03:32:46 changed by anonymous

ah suck i have an F5D7050B usb dongle. Happened to catch the sub article after searching for my hardware that usb devices do not work. I as well will be awaiting any updates and will be prepared for testing if anything ever does launch.

12/27/07 13:33:25 changed by kecoaxus@gmail.com

Someone say that openBSD 4.0 supports atheros usb dongle, did anybody try ...? i've googled many sites, but i'vnt got the best answer. please help, i've smcwusbt-g2 usb dongle with atheros AR5523 chipset.

01/29/08 12:26:46 changed by mentor

From #1753:

Please port driver uath monitor mode for Linux.

www.openbsd.org/cgi-bin/man.cgi?query=uath&apropos=0&sektion=0&manpath=OpenBSD+Current&arch=i386&format=html

AR5005UG AR5005UX D-Link DWL-G132 Monitor Mode Atheros

04/05/08 21:57:59 changed by anonymous

Yes please. I would be very thankful.

(follow-up: ↓ 44 ) 04/21/08 19:06:45 changed by anonymous

Use ndiswrapper instead of waiting MadWifi.. they are not going to support USBs soon... PS. If you use ndiswrapper you need to set the stack at least 8k(untested), 16k is perfect. Ndiswrapper w/ windows atheros driver on 4k stack doesn't work.

(in reply to: ↑ 43 ; follow-up: ↓ 45 ) 04/22/08 05:58:51 changed by mrenzmann

Replying to anonymous:

they are not going to support USBs soon...

And how do you know that?

(in reply to: ↑ 44 ; follow-up: ↓ 46 ) 05/14/08 18:04:14 changed by anonymous

Replying to mrenzmann:

Replying to anonymous:

they are not going to support USBs soon...

And how do you know that?

The folks of madwifi wrote it in their home page!

(in reply to: ↑ 45 ) 05/15/08 06:29:56 changed by mrenzmann

Replying to anonymous:

The folks of madwifi wrote it in their home page!

Actually, it was me who wrote that, but what has been said is that there won't be USB support in MadWifi.

(in reply to: ↑ 16 ) 05/15/08 14:29:27 changed by anonymous

Replying to uberpinguin:

If you are trying to use the Windows driver, you will have to use ndiswrapper - that's what it's for.

All the world is not a 386.

06/17/08 20:58:51 changed by Tich

Hello guys, i'm interested in porting the uath driver to Linux since i have a D-Link DWA-120 (Atheros USB). now u should know that i never programmed for linux and my knowledge of C is pretty limited. But i'm going to try anyway. could somebody point me to the uath source code? remember i can't promise anything about it being done ok?

(follow-up: ↓ 50 ) 06/22/08 08:19:37 changed by Tich

umm it seems the uath driver is closed-source, and it would be too difficult to use the ar5k driver since it is also old (which seems to be the case of the uath driver too). So until somebody releases an open source driver for the USB Atheros cards, we'll have to wait.

(in reply to: ↑ 49 ; follow-up: ↓ 51 ) 06/29/08 18:58:20 changed by mrenzmann

Replying to Tich:

umm it seems the uath driver is closed-source

uath is a driver that's been initiated by some OpenBSD programmers, so it's obviously not closed source. However, from what I know, it seems to rely on firmware images from (closed source) Windows drivers.

(in reply to: ↑ 50 ) 09/06/08 19:35:42 changed by BoBBy

Replying to mrenzmann:

Replying to Tich:

umm it seems the uath driver is closed-source

uath is a driver that's been initiated by some OpenBSD programmers, so it's obviously not closed source. However, from what I know, it seems to rely on firmware images from (closed source) Windows drivers.

You're absolutely right, the driver is open source, from the very beginning, and need a binary firmware. The work was done by D. Bergamini for OpenBSD, and he used to even produce versions for FreeBSD and NetBSD.

If you're looking for the sources : http :// www.openbsd.org/cgi-bin/cvsweb/src/sys/dev/usb/, in files if_uath*

Now, regarding porting it to Linux... I've tried to port the latest version in FreeBSD a few months ago. I think I was at that time at a beginner level, from every point of view. I only had a good knowledge of how OS work and I was able to read and understand C code. It was a total failure. I never went anywhere near something working. The main difficulty was to find the macros and the functions needed to do the work, and that's a real headache, through FreeBSD and OpenBSD are pretty similar. My point is, unless you have a lot of time to lose and love gcc error messages, trying to begin hacking with porting a wireless usb driver is all but a good idea. Don't rely on community support on this part : all the guys who are able to help you will be very busy, and unless you prove some skill and that some work has been done, they won't be helpful... they often are very nice, but they don't have time to lose with somebody who will disappear two weeks later, with nothing useful done.

All that said, I would love seeing this driver (uath) done...

11/20/08 06:27:19 changed by mrenzmann

  • pending changed.

FYI 1: Atheros has released Otus, a driver for their 802.11n USB chipsets, under ISC license. It is being worked on getting it into the Linux kernel now, as with ath5k and ath9k. See here for details, including information about the otus-devel mailing list.

FYI 2: One of the Linux wireless developers is said to be working on a port of uath to Linux. He seems to be very busy lately, so I don't know what the status of his work is. But that driver still seems to be "work in progress".

02/16/09 13:10:24 changed by anonymous

this seems outdated but i will ask my question , is anything going to be released ? developed ? i would like to help with this

(follow-up: ↓ 55 ) 04/06/09 21:57:31 changed by anonymous

FreeBSD 8-CURRENT now has a uath(4) driver:

http ://svn.freebsd.org/viewvc/base?view=revision&revision=190769 http ://svn.freebsd.org/viewvc/base/head/sys/dev/usb/wlan/ http ://svn.freebsd.org/viewvc/base/head/share/man/man4/uath.4?view=log

It was originally based on the OpenBSD version, but was substantially reworked by two developers with access to more information on the hardware, to correct some problems in the original.

It supports devices with AR5005UG and AR5005UX chipsets. SuperG and 802.11a support still needs work.

(in reply to: ↑ 54 ; follow-up: ↓ 56 ) 05/07/09 01:07:49 changed by anonymous

I couldn't compile the '.c' (lack of knowledge). Can someone tell me how do i make a module from the file?

(in reply to: ↑ 55 ; follow-up: ↓ 57 ) 05/10/09 20:50:21 changed by mrenzmann

Replying to anonymous:

I couldn't compile the '.c' (lack of knowledge). Can someone tell me how do i make a module from the file?

The uath-driver from FreeBSD can not be used on Linux.

(in reply to: ↑ 56 ) 05/10/09 21:57:31 changed by anonymous

Replying to mrenzmann:

The uath-driver from FreeBSD can not be used on Linux.

I'm grateful for the answer. There's not concise information about this on the web. Well, then how could i test it (i'm thinking about vmware+netBSD)? Does anyone ever got the device work, with any driver, under any operative system? If so, can please post the steps? No need for explanation. Thank you very much.

06/18/09 22:59:39 changed by anonymous

"ar9170 is a GPL driver for the Atheros 802.11n USB chipset (AR9170)." linuxwireless.org/en/users/Drivers/ar9170

And it was merged with 2.6.30 so just grab a 2.6.30 kernel if your distro offers one or compile your own. The module is named "ar9170usb". Haven't had a chance to try it out but if I understand correctly this means that all of the next round of Linux distros ( which will be using 2.6.30+ ) will have support for the AR9170 chipset "out of the box" :)

10/19/09 20:12:05 changed by am

I've been trying the ar9170usb for a couple of days now with a TL-WN821N dongle and this is what I found:

  • does not work if I use the recently liberated ar9170.fw firmare (need to use the older two-stage firmware combo instead)
  • performance are really poor compared to the same dongle running with ndiswrapper

So it's getting there but not just yet ;)

01/12/10 11:29:40 changed by anonymous

What I don't understand is how hard is it to add USB support? I'm not trying to rip on madwifi, or anything, but wouldn't USB support add a LOT of cards to the compatibility list?

01/14/10 16:52:24 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to wontfix.

USB differs a lot from the busses MadWifi supports now, and requires a largely different type of driver. Even if that was not the case: MadWifi has been declared legacy long ago and since is in maintenance mode only. For this reasons I close this ticket as "wontfix", as the MadWifi driver won't ever support USB devices.

Check ar9170 (for devices based on Atheros AR9170 chipset) or zd1211rw (for devices based on Atheros AR5007UG aka Zydas ZD1211).